/** 
 *
 *   Common stdio function implementation.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _MY_STDIO_H
#define _MY_STDIO_H

#include <stdio.h>

#undef PVERB
#ifdef VERBOSE_MODE
#  define PERR 1
#  define PWARN  2
#  define PINFO  4
#  define PVERB(level, fmt, args...) \
   if(verbose_flag & level) fprintf(stderr, fmt, ## args)
#else
#  define PVERB(level, fmt, args...)
#endif
extern int verbose_flag;


#ifndef WHITESPACE
#define WHITESPACE(c) (((c) == ' ') || ((c) == '\t'))
#endif


int fd_printf(int fd, const char *fmt, ...);
char * stripwhite (char *string);
int grid_norm(double f, int norm);

#endif  /* ifndef _MY_STDIO_H */
